Package edu.msu.cme.rdp.multicompare

# Class MultiClassifier

java.lang.Object
edu.msu.cme.rdp.multicompare.MultiClassifier

public class MultiClassifier extends Object

## Constructor Summary

Constructors
Constructor
Description
`MultiClassifier(String propfile, String gene)`
`MultiClassifier(String propfile, String gene, File biomFile, File metadataFile)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasCopyNumber()`
`MultiClassifierResult`
`multiClassificationParser(List<MCSample> samples, float confidence, PrintWriter assign_out, ClassificationResultFormatter.FORMAT format, String printRank, HashSet<String> taxonFilter)`
Input files are the classification results printRank indicates which rank to filter by the confidence for the detail assignment output taxonFilter indicates which taxon to match for the detail assignment output
`MultiClassifierResult`
`multiCompare(List<MCSample> samples)`
`MultiClassifierResult`
`multiCompare(List<MCSample> samples, float conf, int min_bootstrap_words)`
`MultiClassifierResult`
`multiCompare(List<MCSample> samples, float confidence, PrintWriter assign_out, ClassificationResultFormatter.FORMAT format, int min_bootstrap_words)`
Input files are sequence files
`MultiClassifierResult`
`multiCompare(List<MCSample> samples, int min_bootstrap_words)`
`MultiClassifierResult`
`multiCompare(List<MCSample> samples, PrintWriter assign_out, int min_bootstrap_words)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultiClassifier

public MultiClassifier(String propfile, String gene)

### MultiClassifier

public MultiClassifier(String propfile, String gene, File biomFile, File metadataFile) throws IOException

Throws:
  `IOException`

## Method Details

### hasCopyNumber

public boolean hasCopyNumber()

### multiCompare

public MultiClassifierResult multiCompare(List<MCSample> samples) throws IOException

Throws:
  `IOException`

### multiCompare

public MultiClassifierResult multiCompare(List<MCSample> samples, int min_bootstrap_words) throws IOException

Throws:
  `IOException`

### multiCompare

public MultiClassifierResult multiCompare(List<MCSample> samples, float conf, int min_bootstrap_words) throws IOException

Throws:
  `IOException`

### multiCompare

public MultiClassifierResult multiCompare(List<MCSample> samples, PrintWriter assign_out, int min_bootstrap_words) throws IOException

Throws:
  `IOException`

### multiCompare

public MultiClassifierResult multiCompare(List<MCSample> samples, float confidence, PrintWriter assign_out, ClassificationResultFormatter.FORMAT format, int min_bootstrap_words) throws IOException
Input files are sequence files

Throws:
  `IOException`

### multiClassificationParser

public MultiClassifierResult multiClassificationParser(List<MCSample> samples, float confidence, PrintWriter assign_out, ClassificationResultFormatter.FORMAT format, String printRank, HashSet<String> taxonFilter) throws IOException
Input files are the classification results printRank indicates which rank to filter by the confidence for the detail assignment output taxonFilter indicates which taxon to match for the detail assignment output

Throws:
  `IOException`